apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: wordpress
  finalizers:
  - resources-finalizer.argocd.argoproj.io
spec:
  project: default
  source:
    repoURL: 'registry-1.docker.io/bitnamicharts'
    path: wordpress
    targetRevision: 26.*.*
    chart: wordpress
    helm:
      parameters:
        - name: ingress.enabled
          value: 'true'
        - name: service.type
          value: NodePort
        - name: ingress.annotations.kubernetes\.io\/ingress\.class
          value: 'traefik'
        - name: ingress.annotations.traefik\.ingress\.kubernetes\.io\/router\.tls
          value: 'true'
          forceString: true
        - name: ingress.annotations.traefik\.ingress\.kubernetes\.io\/router\.middlewares
          value: 'default-http-redirect@kubernetescrd'
        - name: ingress.hostname
          value: 'www.innovation-hub-niedersachsen.de'
        - name: ingress.tls
          value: 'true'
        - name: ingress.annotations.cert-manager\.io\/cluster-issuer
          value: lets-encrypt
        - name: smtpHost
          value: '192.168.4.125'
        - name: smtpPort
          value: '25'
        - name: mariadb.enabled
          value: 'true'
        - name: mariadb.architecture
          value: 'standalone'
        - name: mariadb.auth.rootPassword
          value: 'wpInnoROOT'
        - name: mariadb.auth.database
          value: 'bitnami_wordpress'
        - name: mariadb.auth.username
          value: 'bn_wordpress'
        - name: mariadb.auth.password
          value: 'bn_wpInnoUSER'
        - name: mariadb.primary.persistence.enabled
          value: 'true'
        - name: wordpressScheme
          value: 'https'
  destination:
    namespace: wordpress
    server: 'https://kubernetes.default.svc'
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true